/* Centrage de la page entière */
body, html {
    overflow-y: auto; /* Active le scroll vertical sur tout le body */
/*    height: 100vh; /* Laisser le body occuper 100% de la hauteur de l'écran */
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #1a7e9b, #075dc7);
    background-attachment: fixed; /* Garde le dégradé en place */
    font-family: 'Arial', sans-serif;
}

/* Conteneur principal du formulaire avec padding et box-sizing ajustés */
.login-container {
    background-color: #ffffff;
    border: 10px solid #ddd;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 5px 5px;
    width: 100%;
    width: 350px;
    text-align: center;
    z-index: 2;
    box-sizing: border-box; /* Inclut les bordures et paddings dans la largeur totale */
	overflow-y: auto; /* Active le scroll vertical sur tout le body */
/*	max-width: 350px; /* Limite de la largeur */
}



/* Conteneur principal du formulaire avec padding et box-sizing ajustés */
.login-containerp2 {
    background-color: #ffffff;
    border: 10px solid #ddd;
    border-radius: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 5px 5px;
    /*max-width: 100%; /* Limite de la largeur */
    text-align: center;
    z-index: 2;
    box-sizing: border-box; /* Inclut les bordures et paddings dans la largeur totale */
	overflow-y: auto; /* Active le scroll vertical sur tout le body */
}

.col-12.col-sm-10.col-md-8.col-lg-6.col-xl-5 {
  width: 100%;  /* Appliquer une largeur de 100% */
}









/* Conteneur principal du formulaire avec padding et box-sizing ajustés */
.login-containerp3a {
    background-color: #ffffff;
    border: 5px solid #ddd;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 5px 5px;
    width: 100%;
/*  max-width: 350px; /* Limite de la largeur */
    text-align: center;
    z-index: 2;
    box-sizing: border-box; /* Inclut les bordures et paddings dans la largeur totale */
	overflow-y: auto; /* Active le scroll vertical sur tout le body */
}





/* Conteneur principal du formulaire avec padding et box-sizing ajustés */
.login-containerp3b {
    background-color: #ffffff;
    border: 5px solid #ddd;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 5px 5px;
    width: 350px;
/*  max-width: 100%;; /* Limite de la largeur */
    text-align: center;
    z-index: 2;
    box-sizing: border-box; /* Inclut les bordures et paddings dans la largeur totale */
	overflow-y: auto; /* Active le scroll vertical sur tout le body */
}




/* Conteneur principal du formulaire avec padding et box-sizing ajustés */
.login-containerp4 {
    background-color: #ffffff;
    border: 5px solid #ddd;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 5px 5px;
    width: 100%;
/*  max-width: 350px; /* Limite de la largeur */
    text-align: center;
    z-index: 2;
    box-sizing: border-box; /* Inclut les bordures et paddings dans la largeur totale */
}



/* Conteneur principal du formulaire avec padding et box-sizing ajustés */
.containerF {
    padding: 10px 10px;
    width: 100%;
 /*   border: 3px solid #ddd;
/*  border-radius: 30px;
/*  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);  
/*  max-width: 350px; /* Limite de la largeur */
    text-align: center;
    z-index: 2;
    box-sizing: border-box; /* Inclut les bordures et paddings dans la largeur totale */
	
	
	
}   



/* Fond discret derrière le formulaire */
.top-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: linear-gradient(135deg, #00c6ff, #0072ff);
    z-index: -1;
}

/* Responsivité pour les petits écrans */
@media (max-width: 450px) {
    .login-container1 {
        width: 80%;
        max-width: 300px;
    }

    .form-control {
        width: 100%;
    }

    #boton {
        width: 100%;
    }
	
}




	/* Bordure bleue pour le modal */
.custom-modal {
    border: 4px solid #007bff; /* Bordure bleue */
}

/* Style de l'en-tête du modal */
.modal-header {
    border-bottom: 3px solid #007bff; /* Bordure bleue sous l'en-tête */
}

/* Boutons personnalisés dans le modal */
.btn-outline-primary {
    color: #007bff;
    border-color: #007bff;
}

.btn-outline-primary:hover {
    background-color: #007bff;
    color: white;
}

/* Ajouter une bordure bleue à la zone de pied de page */
.modal-footer {
    border-top: 3px solid #007bff;
}


/* Ajouter une bordure bleue au modal */
.border-blue {
    border: 3px solid #007bff; /* Bordure bleue */
}







.modal-backdrop {
  z-index: 1040 !important;
}

.modal {
  z-index: 1050 !important;
}
     
	 
.btn-outline-success {
    color: #0101DF; /* Texte bleu ciel */
    border-color: #00BFFF; /* Bordure bleu ciel */
}

.btn-outline-success:hover {
    background-color: #00BFFF; /* Fond bleu ciel au survol */
    color: white; /* Texte blanc au survol */
}
	 
.verif-blink {
    color: red;
    font-size: 18px;
    animation: blink-fade 1s infinite;
    font-weight: bold;
}

@keyframes blink-fade {
    0%, 100% { opacity: 1; }
    50% { opacity: 0.3; }
}


.spin-hourglass {
    display: inline-block;
    animation: spin 1s linear infinite;
    transform-origin: 50% 50%;
}

@keyframes spin {
    0%   { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

	 
.verif-blink {
    color: red;
    font-size: 18px;
    animation: blink-fade 1s infinite;
    font-weight: bold;
}

@keyframes blink-fade {
    0%, 100% { opacity: 1; }
    50% { opacity: 0.3; }
}



/* Style de la page 2 */
#page2 {
  display: none; /* On garde cette propriété comme tu l'as dans ton code */
  padding: 3px;
  background-color: #f0f8ff; /* Couleur de fond douce */
 /* width: 350px;
 /* max-width: 100%;
}



/* Style de la page 2 */
#page1 {
  display: none; /* On garde cette propriété comme tu l'as dans ton code */
  padding: 3px;
  background-color: #f0f8ff; /* Couleur de fond douce */
 
}

.containerp2 {
   max-width: 100%;
   margin: 0 0px;
   width: min-content;

.login-containerp2 {
  animation: slideInUp 0.5s ease-out;
}


/* Styles pour les petits écrans (max-width: 576px) */
@media (max-width: 576px) {
.containerp2 {
   max-width: 100%;
   margin: 0 0px;
   width: 360px;
.login-containerp2 {
  animation: slideInUp 0.5s ease-out;
}

}


@keyframes slideInUp {
  from {
    transform: translateY(20px);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.rounded {
  border-radius: 15px;
  padding: 20px;
  background: linear-gradient(135deg, #e9f7ff, #ffffff); /* Fond avec dégradé */
  border: 3px solid #007bff; /* Bordure bleue */
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1); /* Ombre douce */
}

.mb-4 {
  margin-bottom: 1.5rem;
}

.mb-3 {
  margin-bottom: 1rem;
}


.fs-5 {
  font-size: 1.2rem !important;
}


.p-3 {
  padding:
1.0rem !important;
}


.fs-6 {
  font-size: 1rem;
}




img {
  width: 70px;
  height: auto;
}

button {
  border-radius: 50px; /* Boutons arrondis */
  padding: 10px 15px;
  font-size: 1.1rem;
  transition: all 0.3s ease;
}

button:hover {
  transform: scale(1.05); /* Agrandir légèrement au survol */
}

button:active {
  transform: scale(0.98); /* Réduire légèrement lors du clic */
}

.btn-outline-success {
  border-color: #28a745;
  color: #28a745;
}

.btn-outline-success:hover {
  background-color: #28a745;
  color: #fff;
}

.btn-outline-secondary {
  border-color: #6c757d;
  color: #6c757d;
}

.btn-outline-secondary:hover {
  background-color: #6c757d;
  color: #fff;
}

.btn-outline-danger {
  border-color: #dc3545;
  color: #dc3545;
}

.btn-outline-danger:hover {
  background-color: #dc3545;
  color: #fff;
}



/* Style de la page3A  */
#page3a {
  display: none; /* On garde cette propriété comme tu l'as dans ton code */
  padding: 20px;
  background-color: #f0f8ff; /* Couleur de fond douce */
}


.containerp3a  {
   max-width: 100%;
   margin: 0 0px;
   width: 350px;
}


.login-containerp3a {
  animation: slideInUp 0.5s ease-out;
}



/* Style de la page3B  */
#page3b {
  display: none; /* On garde cette propriété comme tu l'as dans ton code */
  padding: 20px;
  background-color: #f0f8ff; /* Couleur de fond douce */
}


.containerp3b  {
   max-width: 100%;
   margin: 0 0px;
   width: 350px;
}

.login-containerp3b {
  animation: slideInUp 0.5s ease-out;
}



/* Styles pour les petits écrans (max-width: 576px) */
@media (max-width: 576px) {
.containerp3b  {
   max-width: 100%;
   margin: 0 0px;
   width: 350px;
}

.login-containerp3b {
  animation: slideInUp 0.5s ease-out;
}

}




/* Style de la page4  */
#page4 {
  display: none; /* On garde cette propriété comme tu l'as dans ton code */
  padding: 20px;
  background-color: #f0f8ff; /* Couleur de fond douce */
}




/* Style de la page1  */
#page1 {
  display: none; /* On garde cette propriété comme tu l'as dans ton code */
  padding: 20px;
  background-color: #f0f8ff; /* Couleur de fond douce */
  border-radius: 10px;
  border: 10px solid #ddd;
  border-radius: 30px;
}



.containerp4  {
   max-width: 100%;
   margin: 0 0px;
   width: 350px;
}


.login-containerp4 {
  animation: slideInUp 0.5s ease-out;
}


/* Centrer le contenu avec Flexbox */
.mb-4 {
    display: flex;
    justify-content: center;  /* Centrer horizontalement */
    align-items: center;      /* Centrer verticalement */
/*    height: 100px;            /* Donne une hauteur fixe pour mieux centrer verticalement */
    margin-bottom: 2rem;      /* Espace en bas */
	text-align: center;  /* Centrer horizontalement */
}

.badge {
    font-size: 1.2rem;         /* Taille du texte */
    padding: 1rem 2rem;        /* Espacement autour du texte */
    text-align: center;        /* Centrer le texte à l'intérieur du badge */
    background-color: #17a2b8;
    color: #333;
    border-radius: 15px;
    display: flex;
    justify-content: center;  /* Centrer horizontalement */
    align-items: center;      /* Centrer verticalement */
	
	
}


/* Styles pour les petits écrans (max-width: 576px) */
@media (max-width: 576px) {
  .badge {
    font-size: 16px;         /* Taille du texte */
    padding: 1rem 2rem;        /* Espacement autour du texte */
    text-align: center;        /* Centrer le texte à l'intérieur du badge */
    background-color: #17a2b8;
    color: #ffffff;
    border-radius: 15px;	
}

}




.badge-container {
      display: flex;
      justify-content: center;  /* Centrer horizontalement */
      align-items: center;      /* Centrer verticalement */
      height: 100vh;            /* Hauteur de 100% de la fenêtre */
      text-align: center;       /* Centrer le texte à l'intérieur du badge */
    }





.badge3b {
    font-size: 1.2rem;         /* Taille du texte */
    padding: 1rem 2rem;        /* Espacement autour du texte */
    text-align: center;        /* Centrer le texte à l'intérieur du badge */
	
    background-color: #17a2b8;
    color: #333;
    border-radius: 15px;
	
	
}



/* Styles par défaut */
.modal-dialog {
  max-width: 100%;
  max-height: 80vh;
  width: 95%;
}

/* Styles pour les petits écrans (max-width: 576px) */
@media (max-width: 576px) {
  .modal-dialog {
    max-width: 100%;    /* Largeur maximale à 90% de l'écran */
    width: 95%;        /* Largeur du modal à 90% de l'écran */
    max-height: 70vh;  /* Hauteur maximale ajustée à 70% de la hauteur de l'écran */
  }
}




.modal-content {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 90%; */
    outline: 0;
}

/* Modal Loading Styles */
#modalLoading .modal-content {
  max-width: 100%;
  width: 90%; /* Modal prend 90% de la largeur */
  max-height: 80vh; /* Limiter la hauteur à 80% de la hauteur de la fenêtre */
  overflow-y: auto; /* Ajoute une barre de défilement verticale si le contenu dépasse */
}

/* Réponse aux petits écrans */
@media (max-width: 576px) {
  #modalLoading .modal-content {
    width: 90%; /* Prend 95% de la largeur sur les petits écrans */
    max-width: 95%; /* Pas de largeur maximale */
  }
  
  #modalLoading .modal-header h5 {
    font-size: 16px; /* Réduit la taille du texte dans le header */
  }

  #modalLoading .modal-body p {
    font-size: 14px; /* Réduit la taille du texte dans le corps du modal */
  }
}

/* Pour les écrans entre 577px et 768px */
@media (min-width: 577px) and (max-width: 768px) {
  #modalLoading .modal-content {
    width: 80%; /* 80% de la largeur pour les tablettes et petits écrans */
  }
  
  #modalLoading .modal-header h5 {
    font-size: 18px; /* Augmente la taille du texte du header pour les écrans moyens */
  }
  
  #modalLoading .modal-body p {
    font-size: 16px; /* Ajuste le texte du corps du modal */
  }
}



.small-text {
  font-size: 18px; /* Ajuste la taille selon tes besoins */
}




/* Modal Loading Styles */
#modalLoading .modal-dialog {
  max-width: 100%;  /* Pour s'assurer qu'il ne dépasse pas la largeur de l'écran */
  width: 90%;  /* Prend 90% de la largeur de l'écran */
}

/* Sur les petits écrans */
@media (max-width: 576px) {
  #modalLoading .modal-dialog {
    width: 95%;  /* Prend 95% de la largeur sur les petits écrans */
  }

  #modalLoading .modal-header h5 {
    font-size: 16px;  /* Taille du texte ajustée pour les petits écrans */
  }

  #modalLoading .modal-body p {
    font-size: 14px;  /* Taille du texte ajustée pour les petits écrans */
  }
}

/* Sur les écrans entre 577px et 768px (tablettes) */
@media (min-width: 577px) and (max-width: 768px) {
  #modalLoading .modal-dialog {
    width: 80%;  /* Prend 80% de la largeur sur les tablettes */
  }

  #modalLoading .modal-header h5 {
    font-size: 18px;  /* Agrandir légèrement le texte pour les écrans moyens */
  }

  #modalLoading .modal-body p {
    font-size: 16px;  /* Taille du texte ajustée pour les tablettes */
  }
}

/* Sur les grands écrans */
@media (min-width: 768px) {
  #modalLoading .modal-dialog {
    width: 50%;  /* Sur les grands écrans, le modal sera plus large */
  }
}



/* Réduire la taille du texte */
.text-sm {
  font-size: 12px; /* Ajustez cette valeur selon vos préférences */
}

/* Réduire les marges */
.mb-1 {
  margin-bottom: 5px; /* Réduit l'espace entre les éléments */
}

.mb-3 {
  margin-bottom: 10px; /* Réduit l'espace pour le dernier paragraphe */
}




/* Sur les grands écrans */
@media (max-width: 576px) {

/* Réduire la taille du texte */
.text-sm {
  font-size: 12px; /* Ajustez cette valeur selon vos préférences */
}

/* Réduire les marges */
.mb-1 {
  margin-bottom: 5px; /* Réduit l'espace entre les éléments */
}

.mb-3 {
  margin-bottom: 8px; /* Réduit l'espace pour le dernier paragraphe */
}

}






/* Responsivité : ajuster les tailles des éléments sur les petits écrans */
@media (max-width: 576px) {
  #page3a {
    padding: 10px;  /* Moins de padding sur les petits écrans */
  }

  #carte-auto {
    padding: 15px; /* Moins de padding sur les petits écrans */
    width: 100%; /* Assure que la carte occupe toute la largeur */
  }

  .form-control {
    font-size: 14px;  /* Réduit la taille de police des champs de texte */
  }

  .btn {
    font-size: 14px; /* Taille de texte des boutons sur mobile */
    padding: 10px; /* Plus de padding pour améliorer la cliquabilité */
  }

  /* Ajuste la largeur des boutons */
  .btn {
    width: 100%; /* Les boutons prennent toute la largeur sur les petits écrans */
  }

  /* Ajuste la taille des images dans le QR code */
  #qrcode-auto img {
    max-width: 100%; /* Image QR code prend toute la largeur disponible */
  }

  /* Ajuster la taille des badges */
  .badge {
    font-size: 14px;
    padding: 5px 10px;
  }
}

/* Pour les écrans plus grands, comme les tablettes et ordinateurs */
@media (min-width: 577px) {
  #page3a {
    padding: 20px;  /* Plus de padding sur les grands écrans */
  }

  .btn {
    font-size: 16px; /* Augmente la taille du texte des boutons sur grands écrans */
    padding: 15px; /* Plus de padding pour plus de confort */
  }

  #carte-auto {
    width: 80%; /* Assure que la carte n'est pas trop large sur les grands écrans */
    margin: 0 auto;
  }
}
